View Issue Details

IDProjectCategoryView StatusLast Update
0003430SymmetricDSBugpublic2018-03-21 11:28
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.0 
Target Version3.9.5Fixed in Version3.9.5 
Summary0003430: Service wrapper should verify and kill abandoned processes
DescriptionSome improvements to service wrapper:
- Remove PID files when service/wrapper/server are confirmed stopped
- Verify PIDs by checking their executable and command line
- Stop any abandoned processes when starting
- Make "running" state mean all of service/wrapper/server are running
- On "status" subcommand, show status for each of service/wrapper/server
TagsNo tags attached.

Relationships

related to 0003501 closedelong Service wrapper not finding process name correctly on Windows 10 

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 3202c09f

2018-02-17 14:21:31

admin

Details Diff
0003430: Service wrapper should verify and kill abandoned processes
0003430
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/Constants.java Diff File
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/UnixService.java Diff File
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/WindowsService.java Diff File
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/Wrapper.java Diff File
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/WrapperConfig.java Diff File
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/WrapperService.java Diff File

SymmetricDS: 3.9 f11eff4e

2018-02-22 20:32:11

admin

Details Diff
0003430: Service wrapper should verify and kill abandoned processes
0003430
mod - symmetric-wrapper/src/main/java/org/jumpmind/symmetric/wrapper/WindowsService.java Diff File

Issue History

Date Modified Username Field Change
2018-02-17 14:19 elong New Issue
2018-02-17 14:19 elong Status new => assigned
2018-02-17 14:19 elong Assigned To => elong
2018-02-17 15:00 admin Changeset attached => SymmetricDS 3.9 3202c09f
2018-02-17 16:51 elong Status assigned => resolved
2018-02-17 16:51 elong Resolution open => fixed
2018-02-17 16:51 elong Fixed in Version => 3.9.5
2018-02-22 21:00 admin Changeset attached => SymmetricDS 3.9 f11eff4e
2018-03-12 08:26 chenson Status resolved => closed
2018-03-21 11:28 elong Relationship added related to 0003501